Acontext
DiskDisk_idArtifactDownload_to_sandbox

Download artifact to sandbox

POST
/disk/{disk_id}/artifact/download_to_sandbox

Download an artifact from disk storage to a sandbox environment

Authorization

BearerAuth
Authorization<token>

Project Bearer token (e.g., "Bearer sk-ac-xxxx")

In: header

Path Parameters

disk_id*string

Disk ID

Formatuuid

Request Body

application/json

Download to sandbox request

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://loading/api/v1/disk/497f6eca-6276-4993-bfeb-53cbbbba6f08/artifact/download_to_sandbox" \  -H "Content-Type: application/json" \  -d '{    "file_path": "string",    "filename": "string",    "sandbox_id": "string",    "sandbox_path": "string"  }'
{
  "code": 0,
  "error": "string",
  "msg": "string",
  "data": {
    "success": true
  }
}